| Irrlicht 3D Engine |

Public Member Functions | Friends
irr::core::map< KeyType, ValueType >::AccessClass Class Reference

`#include <irrMap.h>`

List of all members.

## Public Member Functions

- operator ValueType ()
- void operator= (const ValueType &value)

## Friends

- class map< KeyType, ValueType >

## Detailed Description

### template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::AccessClass

Definition at line 635 of file irrMap.h.

## Member Function Documentation

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::AccessClass::operator ValueType | ( |  | ) | `[inline]`

Definition at line 650 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX, and irr::core::map< KeyType, ValueType >::find().

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::AccessClass::operator= | ( | const ValueType & | value | ) | `[inline]`

Definition at line 643 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::set().

## Friends And Related Function Documentation

template<class KeyType, class ValueType>

friend class map< KeyType, ValueType >`[friend]`

Definition at line 638 of file irrMap.h.

The documentation for this class was generated from the following file:

- irrMap.h